<?php
global $wpdb;

if( $_SERVER['REQUEST_METHOD'] == 'POST' )
{
	
	if( !empty( $_POST['poll_title'] ))
	{
		if( !empty( $_POST['option'][0] ) && !empty( $_POST['option'][1] ))
		{
			$wpdb->query(
				"INSERT INTO ".$wpdb->prefix."pro_poll (title, login_to_vote, limit_vote_by, limit_vote_nr, progress_color, progress_bg_color, poll_bg_color, title_color, option_color, vote_txt_color, show_percentage, show_am_votes, show_results, show_results_after_voting, poll_status)
					VALUES ( '".$_POST['poll_title']."', '".$_POST['login_to_vote']."', '".$_POST['limit_vote_by']."', '".$_POST['limit_vote_nr']."', '".$_POST['progress_color']."', '".$_POST['progress_bg_color']."', '".$_POST['poll_bg_color']."', '".$_POST['title_color']."', '".$_POST['option_color']."', '".$_POST['vote_txt_color']."', '".$_POST['show_percentage']."', '".$_POST['show_am_votes']."', '".$_POST['show_results']."', '".$_POST['show_results_after_voting']."', 1 ); 
			");
			$lastid = $wpdb->insert_id;
			
			foreach( $_POST['option'] as $k => $option )
			{
				if( !empty( $option ) )
				{
					$wpdb->query(
						"INSERT INTO ".$wpdb->prefix."pro_poll_options ( pid, options, options_nr)
							VALUES ( '".$lastid."', '".$option."', ".$k." ); 
					");
				}
			}
			
			$err[] = __('Poll created successfully.','wppropoll').' <a href="'.get_bloginfo('wpurl').'/wp-admin/admin.php?page=wp-pro-poll">'. __('poll list','wppropoll'). '</a>';
			$inserted = 1;
			
		}
		else
		{
			$err[] = __('Please add at least 2 poll options.','wppropoll');
		}
	}
	else
	{
		$err[] = __('Please add a poll title.','wppropoll');
	}
	
}


$page_title = __('Create New Poll', 'wppropoll');
$set = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."pro_poll_settings LIMIT 1");
?>

<div class="wrap">

	<div id="pro_poll">
    	
        <div id="icon-poll" class="icon32"></div>
        <h2><?php echo $page_title; ?></h2>
        
        <?php
        if( $err )
        {
            ?>
            <div class="updated err fade">
                <?php
                foreach( $err as $error )
                {
                    ?>
                    <div><?php echo $error; ?></div>
                    <?php
                }
                ?>
            </div>
            <?php
        }
		?>

    
        <div style="margin:20px 0 10px 0;">
            
            <form action="" method="post" enctype="multipart/form-data">
               
                <div style="margin:20px 0 10px 0; width:800px;">
                    
                    <div id="titlediv" class="fieldsetblock">
                        <input type="text" id="title" class="input" name="poll_title" placeholder="Poll Title" value="<?php echo $inserted ? '' : $_POST['poll_title']; ?>" />
                    </div>
                    
                    
                    <!-- poll options -->
                    <div class="sidebar-name">
                        <h3><?php _e('Poll Options', 'wppropoll'); ?></h3>
                    </div>
                    <div class="poll_options_container">
                        
                        <div class="opt_cont">
                        <?php
						if( isset( $_POST['option'] ) && count( $_POST['option'] ) > 3 )
						{
							foreach( $_POST['option'] as $k => $option )
							{
								$i = $k + 1;
								?>
								<div class="fieldsetblock option-<?php echo $i; ?>">
									<label><?php _e('Option', 'wppropoll'); ?> <?php echo $i; ?>:</label>
									<input type="text" class="input" name="option[]" value="<?php echo $inserted ? '' : $_POST['option'][$k]; ?>" />
                                    <?php echo $i > 2 ? '<a class="remove-option" data-value="option-'.$i.'"></a>' : ''; ?>
								</div>
								<?php
							}
						}
						else
						{
							for( $i = 1; $i <= 3; $i++ )
							{
								$k = $i - 1;
								?>
								<div class="fieldsetblock option-<?php echo $i; ?>">
									<label><?php _e('Option', 'wppropoll'); ?> <?php echo $i; ?>:</label>
									<input type="text" class="input input_text" name="option[]" value="<?php echo $inserted ? '' : $_POST['option'][$k]; ?>" />
                                    <?php echo $i > 2 ? '<a class="remove-option" data-value="option-'.$i.'"></a>' : ''; ?>
								</div>
								<?php
							}
						}
                        ?>
                        </div>
                        
                        <div class="add_option button-secondary"><?php _e('Add Option', 'wppropoll'); ?>...</div>  
                    </div>
                    <!-- end poll options -->
                    
                    
                    <!-- Poll settings -->
                    <div class="sidebar-name" style="margin:20px 0 0 0;">
                        <h3>Poll Settings</h3>
                    </div>
                    <div class="poll_options_container">
                        
                        <fieldset>
                        	<legend><?php _e('Voting settings', 'wppropoll'); ?></legend>
                        	
                        <div class="fieldsetblock">
                        	<label for="logintovote"><?php _e('Login to vote', 'wppropoll'); ?>:</label>
                            <select id="logintovote" name="login_to_vote">
                            	<option selected="selected" value="0"><?php _e('No', 'wppropoll'); ?></option>
                                <option value="1"><?php _e('Yes', 'wppropoll'); ?></option>
                            </select>
                        </div>
                        
                        <div class="fieldsetblock">
                        	<label for="limitvoteby"><?php _e('Limit votes by', 'wppropoll'); ?>:</label>
                            <select id="limitvoteby" name="limit_vote_by">
                            	<option selected="selected" value=""><?php _e("Don't limit votes", "wppropoll"); ?></option>
                                <option value="cookie"><?php _e('Cookie', 'wppropoll'); ?></option>
                                <option value="ip_address"><?php _e('IP Address', 'wppropoll'); ?></option>
                                <option value="user"><?php _e('Username', 'wppropoll'); ?></option>
                            </select>
                        </div>
                        
                        <div class="fieldsetblock votenr" style="display:none;">
                        	<label for="limitvotenr"><?php _e('Vote every', 'wppropoll'); ?> :</label>
                            <select id="limitvotenr" name="limit_vote_nr">
                            	<option selected="selected" value=""><?php _e('Only 1 vote', 'wppropoll'); ?></option>
                                <option value="1"><?php _e('hour', 'wppropoll'); ?></option>
                                <option value="6">6 <?php _e('houres', 'wppropoll'); ?></option>
                                <option value="12">12 <?php _e('houres', 'wppropoll'); ?></option>
                                <option value="24">24 <?php _e('houres', 'wppropoll'); ?></option>
                                <option value="48">48 <?php _e('houres', 'wppropoll'); ?></option>
                                <option value="168"><?php _e('Week', 'wppropoll'); ?></option>
                                <option value="744"><?php _e('Month', 'wppropoll'); ?></option>
                            </select>
                        </div>
                        
                        
                        </fieldset>
                         
                        <fieldset>
                        	<legend><?php _e('Output settings', 'wppropoll'); ?></legend>
                         	<div class="fieldsetblock">
                                <label for="showamvotes"><?php _e('Show amount of votes', 'wppropoll'); ?>:</label>
                                <select id="showamvotes" name="show_am_votes">
                                    <option selected="selected" value="0"><?php _e('No', 'wppropoll'); ?></option>
                                    <option value="1"><?php _e('Yes', 'wppropoll'); ?></option>
                                </select>
                                <small><?php _e('Should the amount of votes be visible underneath the poll', 'wppropoll'); ?>?</small>
                            </div>
                            <div class="fieldsetblock">
                                <label for="showamres"><?php _e('Show results', 'wppropoll'); ?>:</label>
                                <select id="showamres" name="show_results">
                                    <option value="0" <?php echo empty( $cur_poll[0]->show_results ) ? 'selected="selected"' : ''; ?>><?php _e('No', 'wppropoll'); ?></option>
                                    <option value="1" <?php echo $cur_poll[0]->show_results == 1 ? 'selected="selected"' : ''; ?>><?php _e('Yes', 'wppropoll'); ?></option>
                                    
                                </select>
                                <small><?php _e('Can people see poll results without voting', 'wppropoll'); ?>?</small>
                            </div>
                            <div class="fieldsetblock">
                                        <label for="showamresafter"><?php _e('Show results after voting', 'wppropoll'); ?>:</label>
                                        <select id="showamresafter" name="show_results_after_voting">
                                            
                                            <option value="1"><?php _e('Yes', 'wppropoll'); ?></option>
                                            <option value="0"><?php _e('No', 'wppropoll'); ?></option>
                                        </select> 
                                        <small><?php _e('Can people see poll results after voting', 'wppropoll'); ?>?</small>
                                    </div>
                            <div class="fieldsetblock">
                                <label for="showampercentage"><?php _e('Show percentage/ votes', 'wppropoll'); ?>:</label>
                                <select id="showampercentage" name="show_percentage">
                                    <option value="" selected="selected"><?php _e('Percentage', 'wppropoll'); ?></option>
                                    <option value="1"><?php _e('Votes', 'wppropoll'); ?></option>
                                    <option value="2" <?php echo $cur_poll[0]->show_percentage == 2 ? 'selected="selected"' : ''; ?>><?php _e('Votes and Percentage', 'wppropoll'); ?></option>
                                </select>
                                <small><?php _e('Do you want to show the results in percentage or vote numbers', 'wppropoll'); ?>?</small>
                            </div>
                        </fieldset>
                         
                        <fieldset>
                        	<legend><?php _e('Color settings', 'wppropoll'); ?></legend>
                            <div class="fieldsetblock">
                                <label class="color-field-label" for="title-color"><?php _e('Titler color', 'wppropoll'); ?>:</label>
                                <input type="text" id="title-color" name="title_color" value="" class="my-color-field" />
                            </div>
                            <div class="fieldsetblock">
                                <label class="color-field-label" for="option-color"><?php _e('Option/Text color', 'wppropoll'); ?>:</label>
                                <input type="text" id="option-color" name="option_color" value="" class="my-color-field" />
                            </div>
                            <div class="fieldsetblock">
                                <label class="color-field-label" for="vote-txt-color"><?php _e('Vote button text color', 'wppropoll'); ?>:</label>
                                <input type="text" id="vote-txt-color" name="vote_txt_color" value="" class="my-color-field" />
                            </div>
                         	<div class="fieldsetblock">
                                <label class="color-field-label" for="progress-color"><?php _e('Progress bar color', 'wppropoll'); ?>:</label>
                                <input type="text" id="progress-color" name="progress_color" value="<?php echo $set[0]->default_color; ?>" class="my-color-field" />
                            </div>
                            <div class="fieldsetblock">
                                <label class="color-field-label" for="progress-bg-color"><?php _e('Progress bar bg color', 'wppropoll'); ?>:</label>
                                <input type="text" id="progress-bg-color" name="progress_bg_color" value="#666" class="my-color-field" />
                            </div>
                            <div class="fieldsetblock">
                                <label class="color-field-label" for="poll-bg-color"><?php _e('Poll bg color', 'wppropoll'); ?>:</label>
                                <input type="text" id="poll-bg-color" name="poll_bg_color" value="" class="my-color-field" />
                            </div>
                        </fieldset>
                        
                    </div>
                    <!-- end poll settings -->
                    
                    
                    
                    <div style="margin-top:10px;">
                        <input type="submit" class="button-primary" value="<?php _e('Create Poll', 'wppropoll'); ?>" name="create_poll">
                    </div>
                    
                </div>
                
            </form>
        </div>
    
    </div>
    <!-- end pro_poll -->
    
</div>
<!-- end wrap -->


<script type="text/javascript">
jQuery(document).ready(function($){
	
    $('.my-color-field').wpColorPicker();
	
	$('.add_option').click(function() {
		
		var n = $(".opt_cont .fieldsetblock").length + 1;
		var opt = '<div class="fieldsetblock option-'+ n +'"><label>Option ' + n +' :</label><input type="text" class="input" name="option[]" value="" /><a class="remove-option" data-value="option-'+ n +'"></a></div>';
		
		$('.opt_cont').append( opt );	
	});
	
	$('.remove-option').live('click',function(){
		$('.' + $(this).data("value") ).remove();
	});
	
	
	
	$('#limitvoteby').on('change', function(){
		
		if( $(this).val() == '' || $(this).val() == 'ip_address' || $(this).val() == 'user' ){
			$('.votenr').hide();
		}else if( $(this).val() == 'cookie' ){
			$('.votenr').show();
		}
		
		if( $(this).val() == 'user' ){
			$('#logintovote').val('1');
		}
		
	});
	
});
</script>