<?php
global $wpdb, $wp_poll_path;

$curPoll = $_GET['poll'];


if( $_SERVER['REQUEST_METHOD'] == 'POST' )
{
	if( $_GET['action'] == 'edit' )
	{
		// Update poll settings
		$progress_color = !empty( $_POST['progress_color'] ) ? $_POST['progress_color']: '#9F0';
		$progress_bg_color = !empty( $_POST['progress_bg_color'] ) ? $_POST['progress_bg_color']: '#666';
		$title_color = !empty( $_POST['title_color'] ) ? $_POST['title_color']: '';
		$option_color = !empty( $_POST['option_color'] ) ? $_POST['option_color']: '';
		$vote_txt_color = !empty( $_POST['vote_txt_color'] ) ? $_POST['vote_txt_color']: '';
		$poll_bg_color = !empty( $_POST['poll_bg_color'] ) ? $_POST['poll_bg_color']: '';
		
		$wpdb->query(
			"UPDATE ".$wpdb->prefix."pro_poll
				SET 
					title             = '".$_POST['poll_title']."', 
					login_to_vote     = '".$_POST['login_to_vote']."', 
					limit_vote_by     = '".$_POST['limit_vote_by']."',
					limit_vote_nr     = '".$_POST['limit_vote_nr']."',
					progress_color    = '".$progress_color."',
					progress_bg_color = '".$progress_bg_color."',
					poll_bg_color     = '".$poll_bg_color."',
					title_color       = '".$title_color."',
					option_color      = '".$option_color."',
					vote_txt_color    = '".$vote_txt_color."',
					show_percentage   = '".$_POST['show_percentage']."',
					show_am_votes     =  '".$_POST['show_am_votes']."',
					show_results      = '".$_POST['show_results']."',
					show_results_after_voting = '".$_POST['show_results_after_voting']."',
					poll_status       = '".$_POST['poll_status']."' 
				WHERE id = ".$curPoll." 
		");
		
		// Update poll options
		$am_options = $_POST['am_options'];
		foreach( $_POST['option'] as $k => $option )
		{
			if( !empty( $option ) )
			{
				$reset_votes = $_POST['reset_votes'] == 'on' ? ', votes = 0 ' : '';
				$wpdb->query("UPDATE ".$wpdb->prefix."pro_poll_options SET options = '".$option."', options_nr =".$k." ".$reset_votes." WHERE id = ".$_POST['option_id'][$k]." ");
			}
			else
			{
				$wpdb->query("DELETE FROM ".$wpdb->prefix."pro_poll_options WHERE id = ".$_POST['option_id'][$k]." ");
			}
		}
		// Insert extra poll options
		if( count($_POST['option']) > $am_options )
		{
			$extra_am = count($_POST['option']) - $am_options;
			$am = $am_options + $extra_am;
			for( $i = $am_options + 1; $i <= $am; $i++ )
			{
				$o = $i - 1;
				if( !empty( $_POST['option'][$o] )) 
				{
					$wpdb->query("INSERT INTO ".$wpdb->prefix."pro_poll_options ( pid, options, options_nr) VALUES ( '".$curPoll."', '".$_POST['option'][$o]."', ".$o." ); ");
				}
			}
			
		}
		
	}
	
	
	if( isset( $_POST['remove_events'] ))
	{
		foreach( $_POST['del_poll'] as $poll )
		{
			$wpdb->query("DELETE FROM ".$wpdb->prefix."pro_poll_options WHERE pid = ".$poll." ");
			$wpdb->query("DELETE FROM ".$wpdb->prefix."pro_poll_votes WHERE pid = ".$poll." ");
			$wpdb->query("DELETE FROM ".$wpdb->prefix."pro_poll WHERE id = ".$poll." ");
		}
		
		$deleted = 1;
		$err[] = __('Poll deleted.', 'wppropoll');
	}
	
}



if( $_GET['action'] == 'edit' )
{
	// Get current poll
	$cur_poll = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."pro_poll WHERE id = ".$curPoll." LIMIT 1");
	$cur_poll_options = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."pro_poll_options WHERE pid = ".$curPoll);
	
	$page_title = __('Edit Poll', 'wppropoll') . ' <i>&quot;'.$cur_poll[0]->title.'&quot;</i> <a href="?page='.$_REQUEST['page'].'">'. __('Go Back', 'wppropoll') .'</a>';
}
elseif( $_GET['action'] == 'delete' )
{
	$page_title = __('Delete Poll', 'wppropoll'). ' <a href="?page='.$_REQUEST['page'].'">'. __('Go Back', 'wppropoll') .'</a>';
}
else
{
	$page_title = __('Pro Poll', 'wppropoll');
}
?>

<div class="wrap">

	<div id="pro_poll">
    	
        <div id="icon-poll" class="icon32"></div>
        <h2><?php echo $page_title; ?> <a href="<?php bloginfo('wpurl'); ?>/wp-admin/admin.php?page=wp-new-pro-poll" class="add-new-h2"><?php _e('Add New Poll','wppropoll'); ?></a></h2>
    
    	
        
        <?php
        if( $err )
        {
            ?>
            <div class="updated err fade">
                <?php
                foreach( $err as $error )
                {
                    ?>
                    <div><?php echo $error; ?></div>
                    <?php
                }
                ?>
            </div>
            <?php
        }
		?>
        
        
    
		<?php
        // IF EDITING POLL
        if( $_GET['action'] == 'edit' )
        {
            ?>
            <div>
                <div style="margin:20px 0 10px 0;">
                
                    <form action="" method="post" enctype="multipart/form-data">
                        <input type="hidden" name="am_options" value="<?php echo count($cur_poll_options); ?>" />
                        <div style="margin:20px 0 10px 0; width:800px;">
                            
                            <div id="titlediv" class="fieldsetblock">
                                <input type="text" id="title" class="input" name="poll_title" placeholder="Poll Title" value="<?php echo $cur_poll[0]->title; ?>" />
                            </div>
                            
                            
                            <!-- poll options -->
                            <div class="sidebar-name">
                                <h3><?php _e('Poll Options', 'wppropoll'); ?></h3>
                            </div>
                            <div class="poll_options_container">
                                <small><?php _e('Empty options will be deleted','wppropoll'); ?>!</small>
                                
                                <div class="opt_cont">
                                <?php
                                foreach( $cur_poll_options as $k => $option )
                                {
                                    $i = $k + 1;
                                    ?>
                                    <div class="fieldsetblock active option-<?php echo $i; ?>">
                                        <label><?php _e('Option', 'wppropoll'); ?> <?php echo $i; ?>:</label>
                                        <input type="hidden" class="input input_id" name="option_id[]" value="<?php echo $option->id; ?>" />
                                        <input type="text" class="input input_text" name="option[]" value="<?php echo $option->options; ?>" /> 
                                        <?php echo $i > 2 ? '<a class="remove-option" data-value="option-'.$i.'"></a>' : ''; ?>
                                    </div>
                                    <?php
                                }
                                ?>
                                </div>
                                
                                <div class="add_option button-secondary"><?php _e('Add Option', 'wppropoll'); ?>...</div> 
                                <div style="margin:20px 0 0 0;"><input type="checkbox" name="reset_votes" /> <?php _e('Reset Votes', 'wppropoll'); ?></div> 
                            </div>
                            <!-- end poll options -->
                            
                            
                            <!-- Poll settings -->
                            <div class="sidebar-name" style="margin:20px 0 0 0;">
                                <h3><?php _e('Poll Settings', 'wppropoll'); ?></h3>
                            </div>
                            <div class="poll_options_container">
                            
                            	<fieldset>
                                    <legend><?php _e('Poll settings', 'wppropoll'); ?></legend>
                                    <div class="fieldsetblock">
                                        <label for="pollstatus"><?php _e('Status', 'wppropoll'); ?>:</label>
                                        <select id="pollstatus" name="poll_status">
                                            <option value="1" <?php echo $cur_poll[0]->poll_status ? 'selected="selected"' : ''; ?>><?php _e('Active', 'wppropoll'); ?></option>
                                            <option value="0" <?php echo !$cur_poll[0]->poll_status ? 'selected="selected"' : ''; ?>><?php _e('Closed', 'wppropoll'); ?></option>
                                        </select>
                                    </div>
                                </fieldset>
                            
                                <fieldset>
                                    <legend><?php _e('Voting settings', 'wppropoll'); ?></legend>
                                    <div class="fieldsetblock">
                                        <label for="logintovote"><?php _e('Login to vote', 'wppropoll'); ?>:</label>
                                        <select id="logintovote" name="login_to_vote">
                                            <option value="0" <?php echo !$cur_poll[0]->login_to_vote ? 'selected="selected"' : ''; ?>><?php _e('No', 'wppropoll'); ?></option>
                                            <option value="1" <?php echo $cur_poll[0]->login_to_vote ? 'selected="selected"' : ''; ?>><?php _e('Yes', 'wppropoll'); ?></option>
                                        </select>
                                    </div>
                                    
                                    <div class="fieldsetblock">
                                        <label for="limitvoteby"><?php _e('Limit votes by', 'wppropoll'); ?>:</label>
                                        <select id="limitvoteby" name="limit_vote_by">
                                            <option selected="selected" value="" <?php echo empty( $cur_poll[0]->limit_vote_by ) ? 'selected="selected"' : ''; ?>>
												<?php _e("Don't limit votes", "wppropoll"); ?>
                                            </option>
                                            <option value="cookie" <?php echo $cur_poll[0]->limit_vote_by == 'cookie' ? 'selected="selected"' : ''; ?>>
                                            	<?php _e('Cookie', 'wppropoll'); ?>
                                            </option>
                                            <option value="ip_address" <?php echo $cur_poll[0]->limit_vote_by == 'ip_address' ? 'selected="selected"' : ''; ?>>
                                            	<?php _e('IP Address', 'wppropoll'); ?>
                                            </option>
                                            <option value="user" <?php echo $cur_poll[0]->limit_vote_by == 'user' ? 'selected="selected"' : ''; ?>>
                                            	<?php _e('Username', 'wppropoll'); ?>
                                            </option>
                                        </select>
                                    </div>
                                    
                                    <div class="fieldsetblock votenr" <?php echo $cur_poll[0]->limit_vote_by == 'cookie' ? '' : 'style="display:none;"'; ?>>
                                        <label for="limitvotenr"><?php _e('Vote every', 'wppropoll'); ?> :</label>
                                        <select id="limitvotenr" name="limit_vote_nr">
                                            <option value="" <?php echo empty( $cur_poll[0]->limit_vote_nr ) ? 'selected="selected"' : ''; ?>>
												<?php _e('Only 1 vote', 'wppropoll'); ?>
                                            </option>
                                            <option value="1" <?php echo $cur_poll[0]->limit_vote_nr == 1 ? 'selected="selected"' : ''; ?>><?php _e('hour', 'wppropoll'); ?></option>
                                            <option value="6" <?php echo $cur_poll[0]->limit_vote_nr == 6 ? 'selected="selected"' : ''; ?>>
                                            	6 <?php _e('houres', 'wppropoll'); ?>
                                            </option>
                                            <option value="12" <?php echo $cur_poll[0]->limit_vote_nr == 12 ? 'selected="selected"' : ''; ?>>
                                            	12 <?php _e('houres', 'wppropoll'); ?>
                                            </option>
                                            <option value="24" <?php echo $cur_poll[0]->limit_vote_nr == 24 ? 'selected="selected"' : ''; ?>>
                                            	24 <?php _e('houres', 'wppropoll'); ?>
                                            </option>
                                            <option value="48" <?php echo $cur_poll[0]->limit_vote_nr == 48 ? 'selected="selected"' : ''; ?>>
                                            	48 <?php _e('houres', 'wppropoll'); ?>
                                            </option>
                                            <option value="168" <?php echo $cur_poll[0]->limit_vote_nr == 168 ? 'selected="selected"' : ''; ?>>
												<?php _e('Week', 'wppropoll'); ?>
                                            </option>
                                			<option value="744" <?php echo $cur_poll[0]->limit_vote_nr == 744 ? 'selected="selected"' : ''; ?>>
                                            	<?php _e('Month', 'wppropoll'); ?>
                                            </option>
                                        </select>
                                    </div>
                                    
                                </fieldset>
                                
                                <fieldset>
                                    <legend><?php _e('Output settings', 'wppropoll'); ?></legend>
                                    <div class="fieldsetblock">
                                        <label for="showamvotes"><?php _e('Show amount of votes', 'wppropoll'); ?>:</label>
                                        <select id="showamvotes" name="show_am_votes">
                                            <option value="0" <?php echo empty( $cur_poll[0]->show_am_votes ) ? 'selected="selected"' : ''; ?>><?php _e('No', 'wppropoll'); ?></option>
                                            <option value="1" <?php echo $cur_poll[0]->show_am_votes ? 'selected="selected"' : ''; ?>><?php _e('Yes', 'wppropoll'); ?></option>
                                        </select>
                                        <small><?php _e('Should the amount of votes be visible underneath the poll', 'wppropoll'); ?>?</small>
                                    </div>
                                    <div class="fieldsetblock">
                                        <label for="showamres"><?php _e('Show results without voting', 'wppropoll'); ?>:</label>
                                        <select id="showamres" name="show_results">
                                            <option value="0" <?php echo empty( $cur_poll[0]->show_results ) ? 'selected="selected"' : ''; ?>><?php _e('No', 'wppropoll'); ?></option>
                                            <option value="1" <?php echo $cur_poll[0]->show_results ? 'selected="selected"' : ''; ?>><?php _e('Yes', 'wppropoll'); ?></option>
                                        </select> 
                                        <small><?php _e('Can people see poll results without voting', 'wppropoll'); ?>?</small>
                                    </div>
                                    <div class="fieldsetblock">
                                        <label for="showamresafter"><?php _e('Show results after voting', 'wppropoll'); ?>:</label>
                                        <select id="showamresafter" name="show_results_after_voting">
                                            <option value="0" <?php echo empty( $cur_poll[0]->show_results_after_voting ) ? 'selected="selected"' : ''; ?>><?php _e('No', 'wppropoll'); ?></option>
                                            <option value="1" <?php echo $cur_poll[0]->show_results_after_voting ? 'selected="selected"' : ''; ?>><?php _e('Yes', 'wppropoll'); ?></option>
                                        </select> 
                                        <small><?php _e('Can people see poll results after voting', 'wppropoll'); ?>?</small>
                                    </div>
                                    <div class="fieldsetblock">
                                        <label for="showampercentage"><?php _e('Show percentage/ votes', 'wppropoll'); ?>:</label>
                                        <select id="showampercentage" name="show_percentage">
                                            <option value="0" <?php echo empty( $cur_poll[0]->show_percentage ) ? 'selected="selected"' : ''; ?>>
												<?php _e('Percentage', 'wppropoll'); ?>
                                            </option>
                                            <option value="1" <?php echo $cur_poll[0]->show_percentage == 1 ? 'selected="selected"' : ''; ?>>
                                            	<?php _e('Votes', 'wppropoll'); ?>
                                            </option>
                                            <option value="2" <?php echo $cur_poll[0]->show_percentage == 2 ? 'selected="selected"' : ''; ?>>
                                            	<?php _e('Votes and Percentage', 'wppropoll'); ?>
                                            </option>
                                        </select>
                                        <small><?php _e('Do you want to show the results in percentage or vote numbers', 'wppropoll'); ?>?</small>
                                    </div>
                                </fieldset>
                                
                                
                                <fieldset>
                                    <legend><?php _e('Color settings', 'wppropoll'); ?></legend>
                                    <div class="fieldsetblock">
                                        <label class="color-field-label" for="title-color"><?php _e('Titler color', 'wppropoll'); ?>:</label>
                                        <input type="text" id="title-color" name="title_color" value="<?php echo $cur_poll[0]->title_color; ?>" class="my-color-field" />
                                    </div>
                                    <div class="fieldsetblock">
                                        <label class="color-field-label" for="option-color"><?php _e('Option/ Text color', 'wppropoll'); ?>:</label>
                                        <input type="text" id="option-color" name="option_color" value="<?php echo $cur_poll[0]->option_color; ?>" class="my-color-field" />
                                    </div>
                                    <div class="fieldsetblock">
                                        <label class="color-field-label" for="vote-txt-color"><?php _e('Vote button text color', 'wppropoll'); ?>:</label>
                                        <input type="text" id="vote-txt-color" name="vote_txt_color" value="<?php echo $cur_poll[0]->vote_txt_color; ?>" class="my-color-field" />
                                    </div>
                                    <div class="fieldsetblock">
                                        <label class="color-field-label" for="progress-color"><?php _e('Progress bar color', 'wppropoll'); ?>:</label>
                                        <input type="text" id="progress-color" name="progress_color" value="<?php echo $cur_poll[0]->progress_color; ?>" class="my-color-field" />
                                    </div>
                                    <div class="fieldsetblock">
                                        <label class="color-field-label" for="progress-bg-color"><?php _e('Progress bar bg color', 'wppropoll'); ?>:</label>
                                        <input type="text" id="progress-bg-color" name="progress_bg_color" value="<?php echo $cur_poll[0]->progress_bg_color; ?>" class="my-color-field" />
                                    </div>
                                    <div class="fieldsetblock">
                                        <label class="color-field-label" for="poll-bg-color"><?php _e('Poll bg color', 'wppropoll'); ?>:</label>
                                        <input type="text" id="poll-bg-color" name="poll_bg_color" value="<?php echo $cur_poll[0]->poll_bg_color; ?>" class="my-color-field" />
                                    </div>
                                </fieldset>
                                   
                            </div>
                            <!-- end poll settings -->
                            
                            
                            
                            <div style="margin-top:10px;">
                                <input type="submit" class="button-primary" value="<?php _e('Update Poll', 'wppropoll'); ?>" name="update_poll">
                            </div>
                            
                        </div>
                        
                    </form>
                </div>
            </div>
            <?php
		}
		elseif( $_GET['action'] == 'delete' && !$deleted )
		{
			?>
            <form action="" method="post" enctype="multipart/form-data">
                <div style="margin:20px 0 10px 0;">
                    <h3><?php _e('Are you sure you want to delete this poll', 'wppropoll'); ?>?</h3>
                    <ul>
                        <?php 
						if( !$deleted )
						{
							foreach( $_GET['poll'] as $poll )
							{
								$del_poll = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."pro_poll WHERE id = ".$poll." LIMIT 1");
								echo '<li>'.$del_poll[0]->title.'</li>';
								echo '<input type="hidden" name="del_poll[]" value="'. $poll. '">';
							}
						}
                        ?>
                    </ul>
                    
                    <div>
                    	<a class="button-secondary" href="?page=<?php echo $_REQUEST['page']; ?>"><?php _e('No, Go Back', 'wppropoll'); ?></a> 
                        <input name="remove_events"  class="button-primary" type="submit" value="<?php _e('Yes, Delete Now', 'wppropoll'); ?>" />
                    </div>
                </div>
            </form>
            <?php
        }
        else
        {
            ?>
            <div>
                <?php
                $pollTable = new Pro_Poll_List_Table();
                $pollTable->prepare_items();
                ?>
                <form id="poll-filter" method="get">
                    <!-- For plugins, we also need to ensure that the form posts back to our current page -->
                    <input type="hidden" name="page" value="<?php echo $_REQUEST['page']; ?>" />
                    <?php $pollTable->display(); ?>
                    
                </form>
            </div>
            <?php
        }
        ?>
    </div>
    <!-- end pro_poll -->
    
</div>
<!-- end wrap -->

<script type="text/javascript">
jQuery(document).ready(function($){
	
    $('.my-color-field').wpColorPicker();
	
	
	$('.add_option').click(function() {
		
		var n = $(".opt_cont .fieldsetblock.active").length + 1;
		var opt = '<div class="fieldsetblock active option-'+ n +'"><label>Option ' + n +' :</label><input type="text" class="input input_text" name="option[]" value="" /><a class="remove-option" data-value="option-'+ n +'"></a></div>';
		
		$('.opt_cont').append( opt );	
	});
	
	$('.remove-option').live('click',function(){
		$('.' + $(this).data("value") + ' .input_text' ).val('');
		$('.' + $(this).data("value") ).removeClass('active');
		$('.' + $(this).data("value") ).hide();
	});
	
	
	$('#limitvoteby').on('change', function(){
		
		if( $(this).val() == '' || $(this).val() == 'ip_address' || $(this).val() == 'user' ){
			$('.votenr').hide();
			$('#limitvotenr').val('');
		}else if( $(this).val() == 'cookie' ){
			$('.votenr').show();;
		}
		
		if( $(this).val() == 'user' ){
			$('#logintovote').val('1');
		}
		
	});
	
	
});
</script>