<?php
global $wpdb, $wp_poll_path;

if( $_SERVER['REQUEST_METHOD'] == 'POST' )
{
	$wpdb->query(
		"UPDATE ".$wpdb->prefix."pro_poll_settings
			SET 
				default_color     = '".$_POST['default_color']."', 
				custom_css        = '".$_POST['custom_css']."'
	");
	
	$err[] = __('Settings Updated!', 'wppropoll');
}

$set = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."pro_poll_settings LIMIT 1");
?>

<div class="wrap">

	<div id="pro_poll">
    	
        <div id="icon-poll" class="icon32"></div>
        <h2><?php _e('Main Settings', 'wppropoll'); ?></h2>
    
    	
        <?php
        if( $err )
        {
            ?>
            <div class="updated err fade">
                <?php
                foreach( $err as $error )
                {
                    ?>
                    <div><?php echo $error; ?></div>
                    <?php
                }
                ?>
            </div>
            <?php
        }
		?>
        
        <div style="margin:20px 0 10px 0;">
        	
            <form action="" method="post" enctype="multipart/form-data">
                <div class="sidebar-name">
                    <h3><?php _e('Main Poll Settings', 'wppropoll'); ?></h3>
                </div>
                <div class="poll_options_container">
                	
                    <div class="fieldsetblock">
                        <label class="color-field-label" for="def-color"><?php _e('Default progress bar color', 'wppropoll'); ?>:</label>
                        <input type="text" id="def-color" name="default_color" value="<?php echo $set[0]->default_color; ?>" class="my-color-field" />
                    </div>
                    
                    <div class="fieldsetblock">
                        <label class="color-field-label" for="custom_css" style="vertical-align: top; margin-top: 5px;"><?php _e('Custom CSS', 'wppropoll'); ?>:</label>
                        <textarea name="custom_css" style="width:400px; height:120px;"><?php echo $set[0]->custom_css; ?></textarea>
                    </div>
                    
                    <div style="margin-top:10px;">
                        <input type="submit" class="button-primary" value="<?php _e('Update Settings', 'wppropoll'); ?>" name="update_settings">
                    </div>
                            
                </div>
            </form>
            
        </div>
        
        
	</div>
    <!-- end #pro poll -->
    
</div>
<!-- end .wrap -->

<script type="text/javascript">
jQuery(document).ready(function($){
	
    $('.my-color-field').wpColorPicker();
	
});
</script>